## Rotare - Documentation

This repository contains the complete documentation related to
[**Rotare**][rotare-repo], a feature-rich and open-source implementation of the
Blade Element Momentum Theory in MATLAB.

[![Documentation
PDF](https://img.shields.io/badge/Documentation-PDF-yellow?style=for-the-badge)](https://rotare.gitlabpages.uliege.be/documentation/rotare-doc.pdf)

## IMPORTANT NOTE
**Rotare is still currently in development. As long as it is not in v1.0.0, the
documentation may not accurately represent the state of the code.**

Once v1.0.0 will be released, the documentation will be updated periodically to
reflect the changes in the main version of Rotare.

## Documentation

The documentation is separated in two distinct parts.

### User manual

The user manual focuses on the practical aspects of the software. It details the
requirements, the install process, the setup of the configuration file and the
analysis of the results. It also contains a small troubleshooting guide to help
user resolve the most common issues.

### Technical documentation

The technical documentation is a complete description of the code architecture
and the methodology implemented. It also contains a very detailed mathematical
description of the solvers implemented and of the models used to extend and
correct the base methodology. This technical part also comes with the
presentation of many validation cases.

## License

The present documentation is provided under the [CC-BY-SA-4.0] license. Please
refer to the [NOTICE](NOTICE.md) for the licensing information of the different
packages present in this repository.

The Rotare Software is provided under the [MIT license].

[aiaa-scitech]: https://www.aiaa.org/SciTech
[rotare-repo]: https://gitlab.uliege.be/rotare/rotare
[MIT license]: https://gitlab.uliege.be/rotare/rotare/-/blob/main/LICENSE
[CC-BY-SA-4.0]: https://creativecommons.org/licenses/by-sa/4.0/
